package sbu.javafx;

public class Song {
    private String title;
    private String artist;
    private String duration;
    private String filePath;

    public Song(String title, String artist, String duration, String filePath)
    {
        this.filePath = filePath;
        this.artist = artist;
        this.duration = duration;
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getArtist() {
        return artist;
    }

    public void setArtist(String artist) {
        this.artist = artist;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getDisplayName()
    {
        return getTitle()+" - " + getArtist();
    }
}
